2024-06-26 09:02 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000572mercuryBugpublic2024-02-20 17:38
Reporterjuliensf 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000572: Code generator abort in debugging grades
DescriptionThe attached is a cut-down version of a program that causes an abort in debugging grades originally reported by Volker Wysk on the reviews list on 3 January 2024. Compiling it in a debugging grade results in:

Uncaught Mercury exception:
Software Error: predicate `ll_backend.liveness.require_equal'/4: Unexpected: branches of if-then-else disagree on liveness
First: ArgDesc_3, Values_4, MDef_5, Default_6, TypeClassInfo_for_argument_21, TypeInfo_22_22
Rest: ArgDesc_3, Values_4, MDef_5, Default_6, TypeInfo_22_22
Steps To Reproducemmc -s asm_fast.gc.debug -C bug572.m

Additional Informationhttps://lists.mercurylang.org/archives/reviews/2024-January/024517.html
TagsNo tags attached.
Attached Files
  • ? file icon bug572.m (2,643 bytes) 2024-02-19 10:44

-Relationships
+Relationships

-Notes

~0001230

zs (developer)

Fix committed 2024 02 20.
+Notes

-Issue History
Date Modified Username Field Change
2024-02-19 10:44 juliensf New Issue
2024-02-19 10:44 juliensf File Added: bug572.m
2024-02-19 13:55 zs Assigned To => zs
2024-02-19 13:55 zs Status new => assigned
2024-02-20 17:38 zs Status assigned => resolved
2024-02-20 17:38 zs Resolution open => fixed
2024-02-20 17:38 zs Note Added: 0001230
+Issue History